"use client";
import { __require as p } from "./_baseTrim.js";
import { __require as u } from "./isObject.js";
import { __require as y } from "./isSymbol.js";
var i, f;
function T() {
  if (f) return i;
  f = 1;
  var o = p(), t = u(), m = y(), s = NaN, b = /^[-+]0x[0-9a-f]+$/i, _ = /^0b[01]+$/i, q = /^0o[0-7]+$/i, a = parseInt;
  function c(r) {
    if (typeof r == "number")
      return r;
    if (m(r))
      return s;
    if (t(r)) {
      var e = typeof r.valueOf == "function" ? r.valueOf() : r;
      r = t(e) ? e + "" : e;
    }
    if (typeof r != "string")
      return r === 0 ? r : +r;
    r = o(r);
    var n = _.test(r);
    return n || q.test(r) ? a(r.slice(2), n ? 2 : 8) : b.test(r) ? s : +r;
  }
  return i = c, i;
}
export {
  T as __require
};
